/**
* 文件：VersionQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.version.model;
import java.util.List;
/**
 * <p>Title: 系统版本信息</p>
 * <p>Description: VersionQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class VersionQuery extends VersionEntity{
	private static final long serialVersionUID = 1575265170866L;
	/** 开始 记录ID，主键，自增长 */
	private Long idStart;

	/** 结束 记录ID，主键，自增长 */
	private Long idEnd;

	/** 增加 记录ID，主键，自增长 */
	private Long idIncrement;

	/** 记录ID，主键，自增长 */
	private List<Long> idList;

	/** 开始 共享设备类型，1：按摩椅，2：充电宝，3：娱乐设备，4：共享雨伞，5：共享打印机，6：闪充 */
	private Integer typeStart;

	/** 结束 共享设备类型，1：按摩椅，2：充电宝，3：娱乐设备，4：共享雨伞，5：共享打印机，6：闪充 */
	private Integer typeEnd;

	/** 增加 共享设备类型，1：按摩椅，2：充电宝，3：娱乐设备，4：共享雨伞，5：共享打印机，6：闪充 */
	private Integer typeIncrement;

	/** 共享设备类型，1：按摩椅，2：充电宝，3：娱乐设备，4：共享雨伞，5：共享打印机，6：闪充 */
	private List<Integer> typeList;

	/** 版本下载地址，当前版本下载地址,相对路径保存 */
	private List<String> downloadUrlList;

	/** 版本号，版本号 */
	private List<String> versionList;

	/** 版本描述信息，描述信息 */
	private List<String> descriptionList;

	/** 开始 版本状态，0:停用，1：正常，默认1 */
	private Integer versionStatusStart;

	/** 结束 版本状态，0:停用，1：正常，默认1 */
	private Integer versionStatusEnd;

	/** 增加 版本状态，0:停用，1：正常，默认1 */
	private Integer versionStatusIncrement;

	/** 版本状态，0:停用，1：正常，默认1 */
	private List<Integer> versionStatusList;

	/** 开始 创建用户ID */
	private Long createUserIdStart;

	/** 结束 创建用户ID */
	private Long createUserIdEnd;

	/** 增加 创建用户ID */
	private Long createUserIdIncrement;

	/** 创建用户ID */
	private List<Long> createUserIdList;

	/** 创建用户名称 */
	private List<String> createUserNameList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;


	public VersionQuery(){
	}
	/**
	 * 获取 开始 记录ID，主键，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 记录ID，主键，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 记录ID，主键，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 记录ID，主键，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 记录ID，主键，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 记录ID，主键，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 记录ID，主键，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 记录ID，主键，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 开始 共享设备类型，1：按摩椅，2：充电宝，3：娱乐设备，4：共享雨伞，5：共享打印机，6：闪充
	 * @return typeStart
	 */
	public Integer getTypeStart(){
		return this.typeStart;
	}

	/**
	 * 设置 开始 共享设备类型，1：按摩椅，2：充电宝，3：娱乐设备，4：共享雨伞，5：共享打印机，6：闪充
	 * @param typeStart
	 */
	public void setTypeStart(Integer typeStart){
		this.typeStart = typeStart;
	}

	/**
	 * 获取 结束 共享设备类型，1：按摩椅，2：充电宝，3：娱乐设备，4：共享雨伞，5：共享打印机，6：闪充
	 * @return typeEnd
	 */
	public Integer getTypeEnd(){
		return this.typeEnd;
	}

	/**
	 * 设置 结束 共享设备类型，1：按摩椅，2：充电宝，3：娱乐设备，4：共享雨伞，5：共享打印机，6：闪充
	 * @param typeEnd
	 */
	public void setTypeEnd(Integer typeEnd){
		this.typeEnd = typeEnd;
	}

	/**
	 * 获取 增加 共享设备类型，1：按摩椅，2：充电宝，3：娱乐设备，4：共享雨伞，5：共享打印机，6：闪充
	 * @return typeIncrement
	 */
	public Integer getTypeIncrement(){
		return this.typeIncrement;
	}

	/**
	 * 设置 增加 共享设备类型，1：按摩椅，2：充电宝，3：娱乐设备，4：共享雨伞，5：共享打印机，6：闪充
	 * @param typeIncrement
	 */
	public void setTypeIncrement(Integer typeIncrement){
		this.typeIncrement = typeIncrement;
	}

	/**
	 * 获取 共享设备类型，1：按摩椅，2：充电宝，3：娱乐设备，4：共享雨伞，5：共享打印机，6：闪充
	 * @return typeList
	 */
	public List<Integer> getTypeList(){
		return this.typeList;
	}

	/**
	 * 设置 共享设备类型，1：按摩椅，2：充电宝，3：娱乐设备，4：共享雨伞，5：共享打印机，6：闪充
	 * @param typeList
	 */
	public void setTypeList(List<Integer> typeList){
		this.typeList = typeList;
	}

	/**
	 * 获取 版本下载地址，当前版本下载地址,相对路径保存
	 * @return downloadUrlList
	 */
	public List<String> getDownloadUrlList(){
		return this.downloadUrlList;
	}

	/**
	 * 设置 版本下载地址，当前版本下载地址,相对路径保存
	 * @param downloadUrlList
	 */
	public void setDownloadUrlList(List<String> downloadUrlList){
		this.downloadUrlList = downloadUrlList;
	}

	/**
	 * 获取 版本号，版本号
	 * @return versionList
	 */
	public List<String> getVersionList(){
		return this.versionList;
	}

	/**
	 * 设置 版本号，版本号
	 * @param versionList
	 */
	public void setVersionList(List<String> versionList){
		this.versionList = versionList;
	}

	/**
	 * 获取 版本描述信息，描述信息
	 * @return descriptionList
	 */
	public List<String> getDescriptionList(){
		return this.descriptionList;
	}

	/**
	 * 设置 版本描述信息，描述信息
	 * @param descriptionList
	 */
	public void setDescriptionList(List<String> descriptionList){
		this.descriptionList = descriptionList;
	}

	/**
	 * 获取 开始 版本状态，0:停用，1：正常，默认1
	 * @return versionStatusStart
	 */
	public Integer getVersionStatusStart(){
		return this.versionStatusStart;
	}

	/**
	 * 设置 开始 版本状态，0:停用，1：正常，默认1
	 * @param versionStatusStart
	 */
	public void setVersionStatusStart(Integer versionStatusStart){
		this.versionStatusStart = versionStatusStart;
	}

	/**
	 * 获取 结束 版本状态，0:停用，1：正常，默认1
	 * @return versionStatusEnd
	 */
	public Integer getVersionStatusEnd(){
		return this.versionStatusEnd;
	}

	/**
	 * 设置 结束 版本状态，0:停用，1：正常，默认1
	 * @param versionStatusEnd
	 */
	public void setVersionStatusEnd(Integer versionStatusEnd){
		this.versionStatusEnd = versionStatusEnd;
	}

	/**
	 * 获取 增加 版本状态，0:停用，1：正常，默认1
	 * @return versionStatusIncrement
	 */
	public Integer getVersionStatusIncrement(){
		return this.versionStatusIncrement;
	}

	/**
	 * 设置 增加 版本状态，0:停用，1：正常，默认1
	 * @param versionStatusIncrement
	 */
	public void setVersionStatusIncrement(Integer versionStatusIncrement){
		this.versionStatusIncrement = versionStatusIncrement;
	}

	/**
	 * 获取 版本状态，0:停用，1：正常，默认1
	 * @return versionStatusList
	 */
	public List<Integer> getVersionStatusList(){
		return this.versionStatusList;
	}

	/**
	 * 设置 版本状态，0:停用，1：正常，默认1
	 * @param versionStatusList
	 */
	public void setVersionStatusList(List<Integer> versionStatusList){
		this.versionStatusList = versionStatusList;
	}

	/**
	 * 获取 开始 创建用户ID
	 * @return createUserIdStart
	 */
	public Long getCreateUserIdStart(){
		return this.createUserIdStart;
	}

	/**
	 * 设置 开始 创建用户ID
	 * @param createUserIdStart
	 */
	public void setCreateUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
	}

	/**
	 * 获取 结束 创建用户ID
	 * @return createUserIdEnd
	 */
	public Long getCreateUserIdEnd(){
		return this.createUserIdEnd;
	}

	/**
	 * 设置 结束 创建用户ID
	 * @param createUserIdEnd
	 */
	public void setCreateUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
	}

	/**
	 * 获取 增加 创建用户ID
	 * @return createUserIdIncrement
	 */
	public Long getCreateUserIdIncrement(){
		return this.createUserIdIncrement;
	}

	/**
	 * 设置 增加 创建用户ID
	 * @param createUserIdIncrement
	 */
	public void setCreateUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
	}

	/**
	 * 获取 创建用户ID
	 * @return createUserIdList
	 */
	public List<Long> getCreateUserIdList(){
		return this.createUserIdList;
	}

	/**
	 * 设置 创建用户ID
	 * @param createUserIdList
	 */
	public void setCreateUserIdList(List<Long> createUserIdList){
		this.createUserIdList = createUserIdList;
	}

	/**
	 * 获取 创建用户名称
	 * @return createUserNameList
	 */
	public List<String> getCreateUserNameList(){
		return this.createUserNameList;
	}

	/**
	 * 设置 创建用户名称
	 * @param createUserNameList
	 */
	public void setCreateUserNameList(List<String> createUserNameList){
		this.createUserNameList = createUserNameList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}


}